## org.jfree.chart.encoders
Class SunPNGEncoderAdapter

    java.lang.Object
      org.jfree.chart.encoders.SunPNGEncoderAdapter

All Implemented Interfaces:
  ImageEncoder

    public class SunPNGEncoderAdapter

extends java.lang.Object
implements ImageEncoder

Adapter class for the Sun PNG Encoder. The ImageEncoderFactory will only return a reference to this class by default if the library has been compiled under a JDK 1.4+ and is being run using a JDK 1.4+.

Constructor Summary
`SunPNGEncoderAdapter()`

Method Summary
`byte[]` `encode(java.awt.image.BufferedImage bufferedImage)` Encodes an image in PNG format.
`void` `encode(java.awt.image.BufferedImage bufferedImage, java.io.OutputStream outputStream)` Encodes an image in PNG format and writes it to an OutputStream.
`float` `getQuality()` Get the quality of the image encoding (always 0.0).
`boolean` `isEncodingAlpha()` Get whether the encoder should encode alpha transparency (always false).
`void` `setEncodingAlpha(boolean encodingAlpha)` Set whether the encoder should encode alpha transparency (not supported in this ImageEncoder).
`void` `setQuality(float quality)` Set the quality of the image encoding (not supported in this ImageEncoder).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunPNGEncoderAdapter

    public SunPNGEncoderAdapter()

Method Detail

### getQuality

    public float getQuality()

  Get the quality of the image encoding (always 0.0).

  Specified by:
    `getQuality` in interface `ImageEncoder`
  Returns:
    A float representing the quality.

### setQuality

    public void setQuality(float quality)

  Set the quality of the image encoding (not supported in this ImageEncoder).

  Specified by:
    `setQuality` in interface `ImageEncoder`
  Parameters:
    `quality` - A float representing the quality.

### isEncodingAlpha

    public boolean isEncodingAlpha()

  Get whether the encoder should encode alpha transparency (always false).

  Specified by:
    `isEncodingAlpha` in interface `ImageEncoder`
  Returns:
    Whether the encoder is encoding alpha transparency.

### setEncodingAlpha

    public void setEncodingAlpha(boolean encodingAlpha)

  Set whether the encoder should encode alpha transparency (not supported in this ImageEncoder).

  Specified by:
    `setEncodingAlpha` in interface `ImageEncoder`
  Parameters:
    `encodingAlpha` - Whether the encoder should encode alpha transparency.

### encode

    public byte[] encode(java.awt.image.BufferedImage bufferedImage)
                  throws java.io.IOException

  Encodes an image in PNG format.

  Specified by:
    `encode` in interface `ImageEncoder`
  Parameters:
    `bufferedImage` - The image to be encoded.
  Returns:
    The byte[] that is the encoded image.
  Throws:
    `java.io.IOException`

### encode

    public void encode(java.awt.image.BufferedImage bufferedImage,
                       java.io.OutputStream outputStream)
                throws java.io.IOException

  Encodes an image in PNG format and writes it to an OutputStream.

  Specified by:
    `encode` in interface `ImageEncoder`
  Parameters:
    `bufferedImage` - The image to be encoded.
    `outputStream` - The OutputStream to write the encoded image to.
  Throws:
    `java.io.IOException`